// Termostato per condizionatore!

// Pin collegati ad Arduino
const byte TRIMMERpin = A0;
const byte SENSpin = A1;
const byte LEDpin = 13;

// Valore cuscinetto che evita fluttuazioni,
// detto isteresi
const byte isteresi = 50;

bool stato = LOW;

void setup() {
  // Pin di controllo settato in output
  pinMode(LEDpin, OUTPUT);
  
  // All'avvio l'oggetto controllato è disattivato
  digitalWrite(LEDpin, stato);
}

void loop() {
  // Lettura dello stato dei sensori
  int temperatura, soglia;
  temperatura = analogRead(SENSpin);
  soglia = analogRead(TRIMMERpin);
  
  // Se la temperatura sale oltre la soglia...
  if (( stato == LOW) && (temperatura > (soglia + isteresi)))
  // Accendo il condizionatore
    digitalWrite(LEDpin, HIGH);
  // Se la temperatura scende sotto la soglia...
  else if ((stato == HIGH) && (temperatura < (soglia - isteresi)))
  // Spengo il condizionatore
    digitalWrite(LEDpin, LOW);
    
  delay(50);
}
